Автор Тема: Проблема с установкой flashplayer-installer  (Прочитано 3961 раз)

0 Пользователей и 1 Гость просматривают эту тему.

solib

  • *
  • Сообщений: 3
  • Karma: +0/-0
скачал flashplayer-installer
распаковал а он почемуто не инсталируется чё делать?

solib

  • *
  • Сообщений: 3
  • Karma: +0/-0
(Нет темы)
« Ответ #1 : 10 Апреля 2008, 10:26 »
<home/ssolib/adobe-release-i386-1.0-1.noarch.rpm';echo RESULT=$?
rpm: To install rpm packages on Debian systems, use alien. See README.Debian.
error: cannot open Packages index using db3 - No such file or directory (2)
error: cannot open Packages database in /var/lib/rpm
RESULT=1

Gennie

  • Global Moderator
  • *****
  • Сообщений: 378
  • Karma: +10/-0
(Нет темы)
« Ответ #2 : 12 Апреля 2008, 11:15 »
Я не сторонник установок из tar.gz, но в данном случае альтернативу проприетарная Адоба не предоставляет, так что первое что надо сделать, это скачать тот же инсталлятор, только не в rpm, а в tar.gz. НЕ НАДО пытаться конвертировать alien'ом, просто поверьте, не надо! Он отлично ставится из tar.gz, это совсем несложно. Внутри этого архива, который можно просмотреть любым mc или что там ещё смотрит внутрь, есть файл с описанием установки, то ли README, то ли INSTALL -- в общем, как в очень известном оффтопике. Да, он тоже на английском, и да, его тоже надо прочитать, понять и последовательно сделать всё как там написано. Ошибок не будет, он не требует ничего лишнего и задаст только один вопрос: ставиться ли ещё на один браузер? Если, конечно, это не Кноппикс, на который установить что-либо... хм.. нетривиальная задача...
Мир явно движется куда-то не туда и Microsoft возглавляет это движение! (L) 2006
Microsoft is not the answer... Microsoft is a question and the answer is NO!
Thou shalt call Unix-minded tru freeware a Holyware!

Gennie

  • Global Moderator
  • *****
  • Сообщений: 378
  • Karma: +10/-0
(Нет темы)
« Ответ #3 : 16 Апреля 2008, 07:09 »
В общем, не далее как вчера ставил самый последний этот flashplayer, так они даже тот README или что там было вообще убрали -- в архиве tar.gz теперь остались только два файла: сам установочный скрипт и библиотека .so к нему. Ставится как всегда без проблем, только ему надо будет указать место установки браузера, например, у меня это /usr/lib/iceweasel, а у других будет ещё какой-то /usr/lib/...
Мир явно движется куда-то не туда и Microsoft возглавляет это движение! (L) 2006
Microsoft is not the answer... Microsoft is a question and the answer is NO!
Thou shalt call Unix-minded tru freeware a Holyware!